Skip to main content
GET
/
agents
/
approvals
cURL
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/agents/approvals \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "AgentAction:019542f5-b3e7-1d02-0000-000000000099",
      "agentId": "Agent:019542f5-b3e7-1d02-0000-000000000042",
      "customerId": "Customer:019542f5-b3e7-1d02-0000-000000000010",
      "platformCustomerId": "user-a1b2c3",
      "status": "PENDING_APPROVAL",
      "type": "EXECUTE_QUOTE",
      "createdAt": "2025-10-03T15:00:00Z",
      "updatedAt": "2025-10-03T15:02:00Z",
      "quote": {
        "id": "Quote:019542f5-b3e7-1d02-0000-000000000006",
        "status": "PENDING",
        "createdAt": "2025-10-03T12:00:00Z",
        "expiresAt": "2025-10-03T12:05:00Z",
        "source": {
          "sourceType": "ACCOUNT",
          "accountId": "InternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
          "customerId": "Customer:019542f5-b3e7-1d02-0000-000000000001"
        },
        "destination": {
          "destinationType": "ACCOUNT",
          "accountId": "ExternalAccount:a12dcbd6-dced-4ec4-b756-3c3a9ea3d123",
          "paymentRail": "ACH"
        },
        "sendingCurrency": {
          "code": "USD",
          "name": "United States Dollar",
          "symbol": "$",
          "decimals": 2
        },
        "receivingCurrency": {
          "code": "USD",
          "name": "United States Dollar",
          "symbol": "$",
          "decimals": 2
        },
        "totalSendingAmount": 123010,
        "totalReceivingAmount": 1000,
        "exchangeRate": 123,
        "feesIncluded": 10,
        "transactionId": "Transaction:019542f5-b3e7-1d02-0000-000000000005",
        "paymentInstructions": [
          {
            "accountOrWalletInfo": {
              "accountType": "USD_ACCOUNT",
              "paymentRails": [
                "ACH",
                "WIRE"
              ],
              "accountNumber": "1234567890",
              "routingNumber": "021000021",
              "bankName": "Chase Bank",
              "reference": "UMA-Q12345-REF"
            },
            "instructionsNotes": "Include reference UMA-Q12345-REF in memo"
          },
          {
            "accountOrWalletInfo": {
              "accountType": "SPARK_WALLET",
              "assetType": "BTC",
              "address": "spark1pgssyuuuhnrrdjswal5c3s3rafw9w3y5dd4cjy3duxlf7hjzkp0rqx6dj6mrhu",
              "invoice": "lnbc15u1p3xnhl2pp5jptserfk3zk4qy42tlucycrfwxhydvlemu9pqr93tuzlv9cc7g3sdqsvfhkcap3xyhx7un8cqzpgxqzjcsp5f8c52y2stc300gl6s4xswtjpc37hrnnr3c9wvtgjfuvqmpm35evq9qyyssqy4lgd8tj637qcjp05rdpxxykjenthxftej7a2zzmwrmrl70fyj9hvj0rewhzj7jfyuwkwcg9g2jpwtk3wkjtwnkdks84hsnu8xps5vsq4gj5hs"
            }
          }
        ],
        "counterpartyInformation": {
          "FULL_NAME": "John Sender",
          "BIRTH_DATE": "1985-06-15",
          "NATIONALITY": "DE"
        },
        "rateDetails": {
          "counterpartyMultiplier": 1.08,
          "counterpartyFixedFee": 10,
          "gridApiMultiplier": 0.925,
          "gridApiFixedFee": 10,
          "gridApiVariableFeeRate": 0.003,
          "gridApiVariableFeeAmount": 30
        }
      },
      "transferDetails": {
        "amount": 50000,
        "currency": "USD",
        "sourceAccountId": "InternalAccount:a12dcbd6-dced-4ec4-b756-3c3a9ea3d123",
        "destinationAccountId": "ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965"
      },
      "transaction": {
        "id": "Transaction:019542f5-b3e7-1d02-0000-000000000004",
        "status": "CREATED",
        "type": "INCOMING",
        "destination": {
          "destinationType": "ACCOUNT",
          "accountId": "ExternalAccount:a12dcbd6-dced-4ec4-b756-3c3a9ea3d123",
          "currency": "EUR"
        },
        "customerId": "Customer:019542f5-b3e7-1d02-0000-000000000001",
        "platformCustomerId": "18d3e5f7b4a9c2",
        "receivedAmount": {
          "amount": 12550,
          "currency": {
            "code": "USD",
            "name": "United States Dollar",
            "symbol": "$",
            "decimals": 2
          }
        },
        "settledAt": "2025-08-15T14:30:00Z",
        "createdAt": "2025-08-15T14:25:18Z",
        "updatedAt": "2025-08-15T14:30:00Z",
        "agentId": "Agent:019542f5-b3e7-1d02-0000-000000000042",
        "description": "Payment for invoice #1234",
        "counterpartyInformation": {
          "FULL_NAME": "John Sender",
          "BIRTH_DATE": "1985-06-15",
          "NATIONALITY": "DE"
        },
        "source": {
          "sourceType": "ACCOUNT",
          "accountId": "InternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
          "currency": "USD"
        },
        "reconciliationInstructions": {
          "reference": "UMA-Q12345-REF"
        },
        "rateDetails": {
          "gridApiMultiplier": 0.925,
          "gridApiFixedFee": 10,
          "gridApiVariableFeeRate": 0.003,
          "gridApiVariableFeeAmount": 30
        },
        "failureReason": "LNURLP_FAILED"
      },
      "rejectionReason": "Transaction amount exceeds customer's current risk limit."
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://ramps-docs-agents-webhook-and-account-model-links.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

agentId
string

Filter by agent ID

customerId
string

Filter by customer ID

startDate
string<date-time>

Filter by start date (inclusive) in ISO 8601 format

endDate
string<date-time>

Filter by end date (inclusive) in ISO 8601 format

limit
integer
default:20

Maximum number of results to return (default 20, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination (returned from previous request)

sortOrder
enum<string>
default:desc

Order to sort results in

Available options:
asc,
desc

Response

Successful operation

data
object[]
required

List of agent actions matching the filter criteria.

hasMore
boolean
required

Indicates if more results are available beyond this page.

nextCursor
string

Cursor to retrieve the next page of results (only present if hasMore is true).

totalCount
integer

Total number of actions matching the criteria (excluding pagination).